> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Order

> Retry a failed order

Sometimes an order will fail for reasons that are temporary. In these situations, orders can be retried after the temporary conditions are resolved.

A successful order retry response contains the `request_id` of the new order.


## OpenAPI

````yaml POST /v1/orders/{request_id}/retry
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/orders/{request_id}/retry:
    post:
      summary: Retry Order
      description: Retry a failed order after temporary conditions are resolved.
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier for the order request to retry
      responses:
        '200':
          description: Order retry initiated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetryOrderResponse'
components:
  schemas:
    RetryOrderResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The unique identifier for the new order request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````